summaryrefslogtreecommitdiff
path: root/ironic_python_agent/shell
diff options
context:
space:
mode:
authorOpenStack Proposal Bot <openstack-infra@lists.openstack.org>2016-11-04 14:08:31 +0000
committerJohn L. Villalovos <john.l.villalovos@intel.com>2016-11-09 14:14:40 -0800
commitc40575e4e046904d5dbd28826bf5308915093f15 (patch)
treec08f92768cefaf0611bfdecd3ef72cf74e68995e /ironic_python_agent/shell
parent3ebffd0e4257fd654f6fde7c44dd558340a86cda (diff)
downloadironic-python-agent-c40575e4e046904d5dbd28826bf5308915093f15.tar.gz
Add bash scripts style checking for IPA
Updated file tox.ini allows to check code style in all ".sh" files included in Ironic Python Agent. Checking can be invoked by calling either "tox" or "tox -e pep8". Change-Id: Ie76605737c7db10a064f2aebfda388372a4c0591 Closes-Bug: #1625215
Diffstat (limited to 'ironic_python_agent/shell')
-rwxr-xr-xironic_python_agent/shell/write_image.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/ironic_python_agent/shell/write_image.sh b/ironic_python_agent/shell/write_image.sh
index 3f07e07a..11abb9fc 100755
--- a/ironic_python_agent/shell/write_image.sh
+++ b/ironic_python_agent/shell/write_image.sh
@@ -17,14 +17,14 @@
set -e
log() {
- echo "`basename $0`: $@"
+ echo "`basename $0`: $@"
}
usage() {
- [[ -z "$1" ]] || echo -e "USAGE ERROR: $@\n"
- echo "`basename $0`: IMAGEFILE DEVICE"
- echo " - This script images DEVICE with IMAGEFILE"
- exit 1
+ [[ -z "$1" ]] || echo -e "USAGE ERROR: $@\n"
+ echo "`basename $0`: IMAGEFILE DEVICE"
+ echo " - This script images DEVICE with IMAGEFILE"
+ exit 1
}
IMAGEFILE="$1"